Bug 76179 - [Maintainer update] comms/hylafax 4.2.0 -> 4.2.1
[Maintainer update] comms/hylafax 4.2.0 -> 4.2.1
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: pav
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-12 22:50 UTC by tdv94ped
Modified: 2005-01-14 22:28 UTC (History)
0 users

See Also:


Attachments
hylafax.sh.sample (446 bytes, text/plain)
2005-01-12 22:50 UTC, tdv94ped
no flags Details
distinfo.diff (332 bytes, patch)
2005-01-12 22:50 UTC, tdv94ped
no flags Details | Diff
files-patch-configure.diff (11.52 KB, patch)
2005-01-12 22:50 UTC, tdv94ped
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tdv94ped 2005-01-12 22:50:14 UTC
	Maintainer update of comms/hylafax 4.2.0 -> 4.2.1

Fix: Remove the following files:
		files/hylafax-faxq.sh.sample
		files/hylafax-hfaxd.sh.sample
		files/patch-faxcron.sh.in

	Create the following file:
		files/hylafax.sh.sample (see attachment below)

	Apply diffs for:
		Makefile, distinfo, pkg-plist and files/patch-configure



--- Makefile.orig	Wed Jan 12 23:02:00 2005
+++ Makefile	Wed Jan 12 21:17:15 2005
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	hylafax
-PORTVERSION=	4.2.0
+PORTVERSION=	4.2.1
 CATEGORIES=	comms
 MASTER_SITES=	ftp://ftp.hylafax.org/source/
 
@@ -95,15 +95,10 @@
 post-install:
 	${CHOWN} uucp ${SUID_EXES}
 	${CHMOD} 4555 ${SUID_EXES}
-	@if [ ! -f ${PREFIX}/etc/rc.d/hylafax-faxq.sh.sample ]; then \
-		${SED} 's^/usr/local^${PREFIX}^g' \
-			< ${FILESDIR}/hylafax-faxq.sh.sample \
-			> ${PREFIX}/etc/rc.d/hylafax-faxq.sh.sample; \
-	fi
-	@if [ ! -f ${PREFIX}/etc/rc.d/hylafax-hfaxd.sh.sample ]; then \
+	@if [ ! -f ${PREFIX}/etc/rc.d/hylafax.sh.sample ]; then \
 		${SED} 's^/usr/local^${PREFIX}^g' \
-			< ${FILESDIR}/hylafax-hfaxd.sh.sample \
-			> ${PREFIX}/etc/rc.d/hylafax-hfaxd.sh.sample; \
+			< ${FILESDIR}/hylafax.sh.sample \
+			> ${PREFIX}/etc/rc.d/hylafax.sh.sample; \
 	fi
 	@${SED} 's^/usr/local^${PREFIX}^g' < ${PKGMESSAGE}
 
--- Makefile.diff ends here ---



--- pkg-plist.orig	Wed Jan 12 23:02:22 2005
+++ pkg-plist	Wed Jan 12 22:59:40 2005
@@ -1,3 +1,6 @@
+@unexec echo "-----------------"
+@unexec echo "In an intent improve the port, some files must be manually removed, such as configuration, logs and so on. If this creates more problems than it helps when upgrading this port, please send me an e-mail, and I will revert to the former configuration of the pkg-plist." | fmt
+@unexec echo "-----------------"
 bin/faxalter
 bin/faxcover
 bin/faxmail
@@ -5,15 +8,12 @@
 bin/faxstat
 bin/sendfax
 bin/sendpage
-etc/rc.d/hylafax-faxq.sh.sample
-etc/rc.d/hylafax-hfaxd.sh.sample
+etc/rc.d/hylafax.sh.sample
 lib/fax/faxcover.ps
 lib/fax/faxcover_example_sgi.ps
 lib/fax/faxmail.ps
-lib/fax/hfaxd.conf
-lib/fax/pagesizes
-lib/fax/typerules
-@dirrm lib/fax
+@unexec rmdir %D/lib/fax 2>/dev/null || echo "If you are permanently removing this port, you should do a ''rm -rf ${PKG_PREFIX}/lib/fax'' to remove any binary, configuration and log files left." | fmt
+@unexec echo "------"
 sbin/choptest
 sbin/cqtest
 sbin/dialtest
@@ -176,7 +176,7 @@
 @exec mkfifo %D/hylafax/FIFO
 @exec chown uucp:dialer %D/hylafax/FIFO
 @exec chmod 0600 %D/hylafax/FIFO
-@unexec rm %D/hylafax/FIFO*
+@unexec rm %D/hylafax/FIFO
 @exec mkdir %D/hylafax/archive
 @exec chown uucp:dialer %D/hylafax/archive
 @exec chmod 0700 %D/hylafax/archive
@@ -185,9 +185,9 @@
 hylafax/bin/mkcover
 hylafax/bin/notify
 hylafax/bin/notify-4.1
+hylafax/bin/pcl2fax
 @unexec if [ -f %D/hylafax/bin/pdf2fax ]; then rm %D/hylafax/bin/pdf2fax; fi
 hylafax/bin/pdf2fax.gs
-hylafax/bin/pcl2fax
 hylafax/bin/pollrcvd
 @unexec if [ -f %D/hylafax/bin/ps2fax ]; then rm %D/hylafax/bin/ps2fax; fi
 hylafax/bin/ps2fax.dps
@@ -267,7 +267,6 @@
 @exec mkdir %D/hylafax/dev
 @exec chown uucp:dialer %D/hylafax/dev
 @exec chmod 0755 %D/hylafax/dev
-@unexec if [ -f %D/hylafax/dev/null ]; then rm %D/hylafax/dev/null; fi
 @exec mkdir %D/hylafax/docq
 @exec chown uucp:dialer %D/hylafax/docq
 @exec chmod 0700 %D/hylafax/docq
@@ -279,9 +278,7 @@
 hylafax/etc/dialrules.europe
 hylafax/etc/dialrules.sf-ba
 hylafax/etc/dpsprinter.ps
-hylafax/etc/hosts.hfaxd
 hylafax/etc/lutRS18.pcf
-hylafax/etc/xferfaxlog
 @exec mkdir %D/hylafax/info
 @exec chown uucp:dialer %D/hylafax/info
 @exec chmod 755 %D/hylafax/info
@@ -303,19 +300,14 @@
 @exec mkdir %D/hylafax/tmp
 @exec chown uucp:dialer %D/hylafax/tmp
 @exec chmod 700 %D/hylafax/tmp
-@dirrm hylafax/archive
 @dirrm hylafax/bin
 @dirrm hylafax/client
 @dirrm hylafax/config
-@dirrm hylafax/dev
 @dirrm hylafax/docq
-@dirrm hylafax/doneq
-@dirrm hylafax/etc
-@dirrm hylafax/info
-@dirrm hylafax/log
 @dirrm hylafax/pollq
 @dirrm hylafax/recvq
 @dirrm hylafax/sendq
 @dirrm hylafax/status
 @dirrm hylafax/tmp
-@dirrm hylafax
+@unexec rmdir %D/hylafax 2>/dev/null || echo "If you are permanently removing this port, you should do a ''rm -rf /var/spool/hylafax'' to remove any binary, configuration and log files left." | fmt
+@unexec echo "-----------------"
--- pkg-plist.diff ends here ---
Comment 1 pav freebsd_committer 2005-01-13 19:46:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

I did some fixing on this port, so grab and sit on it until 
the distfile become fetchable.
Comment 2 pav freebsd_committer 2005-01-14 22:28:19 UTC
State Changed
From-To: open->closed

Committed with modifications, thank you!